Bug 1654016 - Drop python2 from the certbot stack on Fedora 30+
Summary: Drop python2 from the certbot stack on Fedora 30+
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: certbot
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eli Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-11-27 20:31 UTC by Miro Hrončok
Modified: 2018-12-11 06:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-11 02:57:48 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2018-11-27 20:31:38 UTC
Please drop all python2 subpackages of:

certbot
python-acme
python-certbot-apache
python-certbot-dns-cloudflare
python-certbot-dns-cloudxns
python-certbot-dns-digitalocean
python-certbot-dns-dnsimple
python-certbot-dns-dnsmadeeasy
python-certbot-dns-gehirn
python-certbot-dns-google
python-certbot-dns-linode
python-certbot-dns-luadns
python-certbot-dns-nsone
python-certbot-dns-ovh
python-certbot-dns-rfc2136
python-certbot-dns-route53
python-certbot-dns-sakuracloud
python-certbot-nginx

This is in line with https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Let me know if I shall file individual bugzillas instead.

According to our query, those python2 subpackages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove the python2 subpackages.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document.

Thank You.

Comment 1 Miro Hrončok 2018-12-10 12:32:17 UTC
I see a lot of updates here by Eli Young <elyscape@gmail.com>.

Eli, would you like to handle this on your own (add conditionals or whatever), or shall I just go and kill the python2 subpackages by fire?

Comment 2 Eli Young 2018-12-10 23:01:54 UTC
I'll handle it. Thanks for filing the ticket!

Comment 3 Eli Young 2018-12-11 02:57:48 UTC
This should be done, pending propagation of the new builds to the rawhide repos. Please let me know if I missed anything.

Comment 4 Miro Hrončok 2018-12-11 06:49:47 UTC
Thanks. I'll see after the compose and reopen if necessary.


Note You need to log in before you can comment on or make changes to this bug.